package com.company;

import java.util.ArrayList;

/**
 * paint class without inheritance
 */
public class Paint1 {
    private ArrayList<Circle1> circles;
    private ArrayList<Triangle1> triangles;
    private ArrayList<Rectangle1> rectangles;

    public Paint1(){
        circles = new ArrayList<>();
        triangles = new ArrayList<>();
        rectangles = new ArrayList<>();
    }

    public void addTriangle(Triangle1 triangle1){
        triangles.add(triangle1);
    }

    public void addRectangle(Rectangle1 rectangle1){
        rectangles.add(rectangle1);
    }

    public void addCircle(Circle1 circle1){
        circles.add(circle1);
    }

    public void drawAll(){
        for(Circle1 circle1 : circles){
            circle1.draw();
        }
        for (Triangle1 triangle1 : triangles){
            triangle1.draw();
        }
        for (Rectangle1 rectangle1 : rectangles){
            rectangle1.draw();
        }
    }

    public void printAll(){
        for(Circle1 circle1 : circles){
            System.out.print(circle1);
        }
        for (Triangle1 triangle1 : triangles){
            System.out.print(triangle1);
        }
        for (Rectangle1 rectangle1 : rectangles){
            System.out.print(rectangle1);
        }
    }
}
