package com.company;

/**
 * Rectangle class implements all methods from Shape class
 */
public class Rectangle extends Polygon{


    public Rectangle(int s1,int s2,int s3,int s4){
        super(s1,s2,s3,s4);
    }


    @Override
    public int calculateArea() {
        return (sides.get(0) * sides.get(1));
    }

    @Override
    public void draw() {
        System.out.println("Rectangle - Perimeter : " + calculatePerimeter() +" - Area : " +calculateArea());
    }

    @Override
    public boolean equals(Shape shape) {
        if(!(shape instanceof Rectangle)){
            return false;
        }
        return ((Rectangle) shape).sides.get(0).equals(sides.get(0)) && ((Rectangle) shape).sides.get(1).equals(sides.get(1));
    }

    public boolean isSquare(){
        return (sides.get(0).equals(sides.get(1)));
    }

    @Override
    public String toString() {
        return "Rectangle, side1 : "+sides.get(0) +",side2 : "+sides.get(1)+
                ",side3 : "+sides.get(2)+",side4 : " +sides.get(3) +"\n";
    }
}
