package com.company;

/**
 * circle class without inheritance
 */
public class Circle1 {
    private int radius;

    public Circle1(int radius){
        this.radius = radius;
    }

    public int calculatePerimeter() {
        return (int)Math.round(2*3.14*radius);
    }

    public int calculateArea() {
        return (int) Math.round(radius * radius * 3.14);
    }

    public void draw() {
        System.out.println("Circle - Area : "+calculateArea()+" - Perimeter : " +calculatePerimeter());
    }

    public boolean equals(Circle1 circle1) {
        return this.radius == circle1.radius;
    }

    @Override
    public String toString() {
        return "Circle, Radius : "+radius+"\n";
    }

    public int getRadius() {
        return radius;
    }
}
