package com.company;

import java.util.ArrayList;

/**
 * Rectangle class without inheritance
 */
public class Rectangle1 {
    private ArrayList<Integer> sides;

    public Rectangle1(int x,int y,int z,int r){
        sides = new ArrayList<>();
        sides.add(x);
        sides.add(y);
        sides.add(z);
        sides.add(r);
    }

    public int calculatePerimeter(){
        return (sides.get(0)+sides.get(1)+sides.get(2)+sides.get(3));
    }

    public int calculateArea() {
        return (sides.get(0) * sides.get(1));
    }

    public void draw() {
        System.out.println("Rectangle - Perimeter : " + calculatePerimeter() +" - Area : " +calculateArea());
    }

    public boolean equals(Rectangle1 rectangle1){
        int i;
        for(i=0;i<4;i++){
            if(!sides.get(i).equals(rectangle1.sides.get(i))){
                return false;
            }
        }
        return true;
    }

    public boolean isSquare(){
        return (sides.get(0).equals(sides.get(1)));
    }

    @Override
    public String toString() {
        return "Rectangle, side1 : "+sides.get(0) +",side2 : "+sides.get(1)+
                ",side3 : "+sides.get(2)+",side4 : " +sides.get(3) +"\n";
    }
}
